<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('riga_ordine', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('ordine_id')->unsigned()->nullable();
            $table->bigInteger('piatto_id')->unsigned()->nullable();
            $table->integer('quantita')->default(1);
            $table->decimal('prezzo', 10, 2)->nullable();
            $table->string('note')->nullable();
            $table->timestamps();
        });

        Schema::table('riga_ordine', function (Blueprint $table) {
            $table->foreign('ordine_id')->references('id')->on('ordine')->onDelete('cascade');
            $table->foreign('piatto_id')->references('id')->on('piatto')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('riga_ordine');
    }
};
